# StorPool Storage Backend for Cinder

# Overview

This charm provides a StorPool storage backend for use with the Cinder
charm.

To use:

    juju deploy cinder

    juju deploy cinder-storpool \
        --config storpool_template="my_template" \
        --config sp_api_http_host="1.2.3.4" \
        --config sp_auth_token=1234567890123456789

    juju add-relation cinder-storpool cinder

# Configuration

See config.yaml for details of configuration options.

Options with a blank 'default' field are mandatory and have to be
provided by an administrator.

# Testing

Information about how the charm is tested can be found in the
CONTRIBUTING.md and tests/README.md files.

# Contributing

See CONTRIBUTING.md for how you can submit changes to this project.